AEM 6.5 - Not able to start AEM after SP2 installation.

deveshs63102575

05-12-2019

Hi All,

Not able to start the AEM server (6.5) after I did the installation of SP2. Any help would be great.

Log Details

xMBeanServer@5d28bcd5 with name osgi.compendium:service=cm,version=1.3,framework=org.apache.felix.framework,uuid=7b017b9d-14ff-426f-8407-538eba57001f

06.12.2019 05:17:02.507 *INFO* [FelixStartLevel] org.apache.aries.jmx.core Unregistering org.osgi.jmx.framework.PackageStateMBean to MBeanServer com.sun.jmx.mbeanserver.JmxMBeanServer@5d28bcd5 with name osgi.core:type=packageState,version=1.5,framework=org.apache.felix.framework,uuid=7b017b9d-14ff-426f-8407-538eba57001f

06.12.2019 05:17:02.507 *INFO* [FelixStartLevel] org.apache.aries.jmx.core Unregistering org.osgi.jmx.framework.BundleStateMBean to MBeanServer com.sun.jmx.mbeanserver.JmxMBeanServer@5d28bcd5 with name osgi.core:type=bundleState,version=1.7,framework=org.apache.felix.framework,uuid=7b017b9d-14ff-426f-8407-538eba57001f

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.core Unregistering org.osgi.jmx.framework.FrameworkMBean to MBeanServer com.sun.jmx.mbeanserver.JmxMBeanServer@5d28bcd5 with name osgi.core:type=framework,version=1.7,framework=org.apache.felix.framework,uuid=7b017b9d-14ff-426f-8407-538eba57001f

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.core Unregistering MBean with ObjectName [osgi.compendium:service=cm,version=1.3,framework=org.apache.felix.framework,uuid=7b017b9d-14ff-426f-8407-538eba57001f] for service with service.id [20]

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.core Service [org.apache.aries.jmx.framework.StateConfig,38, [org.osgi.service.cm.ManagedService]] ServiceEvent UNREGISTERING

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.core BundleEvent STOPPED

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.api BundleEvent STOPPING

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] org.apache.aries.jmx.api BundleEvent STOPPED

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] com.day.cq.cq-compat-configupdate BundleEvent STOPPING

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] com.day.cq.cq-compat-configupdate BundleEvent STOPPED

06.12.2019 05:17:02.508 *INFO* [FelixStartLevel] com.adobe.granite.apicontroller BundleEvent STOPPING

06.12.2019 05:17:02.509 *INFO* [FelixStartLevel] com.adobe.granite.apicontroller Service [com.adobe.granite.apicontroller.FilterResolverHookFactory,36, [org.osgi.service.cm.ManagedService, org.osgi.framework.hooks.resolver.ResolverHookFactory]] ServiceEvent UNREGISTERING

06.12.2019 05:17:02.509 *INFO* [FelixStartLevel] com.adobe.granite.apicontroller BundleEvent STOPPED

06.12.2019 05:17:02.509 *INFO* [FelixDispatchQueue] org.apache.felix.framework FrameworkEvent STARTLEVEL CHANGED to 1

06.12.2019 05:17:02.517 *INFO* [Thread-7] com.adobe.granite.installer.Updater Installed configuration org.apache.sling.jcr.base.internal.LoginAdminWhitelist.fragment.c8dfda00-ab3d-4dcd-b39f-622533585fe3

06.12.2019 05:17:02.517 *ERROR* [Thread-7] com.adobe.granite.installer.Updater Could not get ConfigurationAdmin to register whitelistentry for BundleUpdater.

06.12.2019 05:17:10.000 *INFO* [CommitStats] CommitStats run: commit stats logger [#2] quits.

Thanks

Devesh Singh

Accepted Solutions (1)

Accepted Solutions (1)

sunjot16

Employee

06-12-2019

You are getting the below error:

com.adobe.granite.installer.Updater Could not get ConfigurationAdmin to register whitelistentry for BundleUpdater

Looking at how this is thrown basically there is a logic statement that is not getting satisfied for your environment, so the bundles from the Service Pack 2 might not be getting written to the repository to be picked up by the installer. Due to this, the installation might be failing.

if (active.get() && data.state == State.WRITE_BUNDLES_TO_REPOSITORY) {

// State.WRITE_BUNDLES_TO_REPOSITORY

// write all bundles to the JCR for the JCR installer to pick them up

}

else {

logger.error("Could not get ConfigurationAdmin to register whitelistentry for BundleUpdater. ");

}

The logic IF statement fails to be true. so the ELSE is run and logs that error.

There is a chance that the BundleUpdater that is currently installed was never removed from the instance after new service pack installation.

What errors do you see in upgrade.log file?

Answers (4)

Answers (4)

deveshs63102575

08-12-2019

sunjot16

08.12.2019 19:35:41.213 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

08.12.2019 19:35:41.215 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

08.12.2019 19:35:41.215 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

08.12.2019 19:35:45.931 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.backup.impl.UpgradeBackup property /var/upgrade/status/preUpgradeBackup.force does n

ot exist, backup will not be forced

08.12.2019 19:35:45.938 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.backup.impl.UpgradeBackup Startup mode is RESTART, nothing to do

08.12.2019 19:35:48.221 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.cleanup.impl.UpgradeInstallFolderCleanup Startup mode is RESTART, nothing to do

08.12.2019 19:35:48.223 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.cleanup.impl.UpgradeGroupMembershipCleanup Startup mode is RESTART, nothing to do

08.12.2019 19:36:24.004 *INFO* [FelixStartLevel] com.day.cq.compat.codeupgrade.impl.VersionRangeTaskIgnorelist Bundlelist for upgrade version comparison could not be read from /o

pt/aem/publish/crx-quickstart/conf/sourceInstanceBundles.json

08.12.2019 19:36:24.100 *INFO* [FelixStartLevel] com.day.cq.compat.codeupgrade.impl.CodeUpgradeExecutionConditionChecker Mandatory CodeUpgradeTasks & CodeUpgradeTaskFilters all p

resent - registering condition to trigger execution.

08.12.2019 19:36:24.117 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator UPGRADE NOT NEEDED - StartupMode is RESTART

jbrar

Employee

06-12-2019

Do you see anything in the log files when starting the instance?

Are you installing SP2 via crx-quickstart/install directory?

Did you stop the instance after SP2 or it automatically stopped?

ArpitVarshney

MVP

06-12-2019

Hi deveshs63102575 ,

I just installed service pack 2 in my aem 6.5 instance locally and things are working fine for me.

The issue might happened in your custom code installed in the aem server.

Please go to console and verify that all the bundles are in active state.

Regards,

Arpit Varshney